SolrQuery::getTermsUpperBound
SolrQuery::removeFacetDateField
SolrQuery
PHP Manual

# SolrQuery::getTimeAllowed

Returns the time in milliseconds allowed for the query to finish

### Description

public int SolrQuery::getTimeAllowed ( void )

Returns the time in milliseconds allowed for the query to finish.

### Parameters

This function has no parameters.

### Return Values

Returns and integer on success and `NULL` if it is not set.